## Mapbox Maps SDK for Android

[![CLA assistant](https://cla-assistant.io/readme/badge/mapbox/mapbox-maps-android)](https://cla-assistant.io/mapbox/mapbox-maps-android)

![](https://user-images.githubusercontent.com/4394910/66942701-7ed30100-effe-11e9-9948-14012d4c3289.png)

The Mapbox Maps SDK for Android is a public library for displaying interactive, thoroughly customizable maps in native Android. It takes map styles that conform to the [Mapbox Style Specification](https://docs.mapbox.com/mapbox-gl-js/style-spec/), applies them to vector tiles that conform to the [Mapbox Vector Tile Specification](https://github.com/mapbox/vector-tile-spec), and renders them using OpenGL.

## Getting Started
This README is intended for developers who are interested in contributing to the Mapbox Maps SDK for Android. Please visit https://docs.mapbox.com/android/beta/maps/guides/ for general information and instructions on using the Maps SDK in your Android application.

## Developing
If you are interested in contributing to the Maps SDK, please see the [DEVELOPING.md](DEVELOPING.md) file for information on setting up, running and building the SDK.

## Reporting issues / Need help?

#### Report a bug :beetle:
Please use our [bug template](https://github.com/mapbox/mapbox-maps-android/issues/new?labels=bug%20%3Abeetle%3A&template=bug.md) to report any issues.

#### Request a new feature or enhancement :green_apple:
Please use our [feature template](https://github.com/mapbox/mapbox-maps-android/issues/new?labels=feature%20%3Agreen_apple%3A&template=feature.md) to request new features or enhancements.

#### Other questions
Can't find the answer you're looking for? [Contact support](https://www.mapbox.com/contact)

## Historical Note
This repository is a continuation of the Mapbox Maps SDK for Android available at [mapbox/mapbox-gl-native-android](https://github.com/mapbox/mapbox-gl-native-android).
